## org.codehaus.groovy.grails.web.mime
Class MimeType

    java.lang.Object
      org.codehaus.groovy.grails.web.mime.MimeType

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class MimeType

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`MimeType(String n)`
`MimeType(String n, Map params)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`static MimeType[]` `createDefaults()`
`boolean` `equals(Object o)`
`static MimeType[]` `getConfiguredMimeTypes()`
`String` `getExtension()`
`groovy.lang.MetaClass` `getMetaClass()`
`String` `getName()`
`Map` `getParameters()`
`Object` `getProperty(String property)`
`static Object` `getXML()`
`int` `hashCode()`
`Object` `invokeMethod(String method, Object arguments)`
`static Object` `reset()`
`void` `setExtension(String value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setName(String value)`
`void` `setParameters(Map value)`
`void` `setProperty(String property, Object value)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MimeType

    public MimeType(String n,
                    Map params)

### MimeType

    public MimeType(String n)

Method Detail

### getXML

    public static Object getXML()

### getName

    public String getName()

### setName

    public void setName(String value)

### getExtension

    public String getExtension()

### setExtension

    public void setExtension(String value)

### getParameters

    public Map getParameters()

### setParameters

    public void setParameters(Map value)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getConfiguredMimeTypes

    public static MimeType[] getConfiguredMimeTypes()

### reset

    public static Object reset()

### createDefaults

    public static MimeType[] createDefaults()

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project